#ifndef _IGAME_H_
#define _IGAME_H_

#include <string>

class Player;

class IGame
{
public:
    virtual ~IGame() {};

    virtual bool makeMove ( int house ) = 0;
    virtual int getSeedsInHouse ( int house ) const = 0;
    virtual int getSeedsInStorage ( int storage ) const = 0;
    virtual bool isFinished () const = 0;
    virtual std::string getWinner () const = 0;
    virtual std::string getActivePlayerName () const = 0;
    virtual std::string getPlayer1Name () const = 0;
    virtual std::string getPlayer2Name () const = 0;


};

#endif



