#ifndef _PLAYER_H_
#define _PLAYER_H_

#include <string>

#include "Board.h"

class Player
{
public:
    enum type {USER, COMPUTER};

    Player( std::string name, type type, Board * board, Board::Half half );

    Board::Half half() const; 
    std::string name() const;

//    bool sow(int house, int * endId, Board::HoleType * endType);


private:
    std::string name_;
    type type_;
    Board * board_;
    Board::Half half_;
};

#endif
