#include <QMouseEvent>
#include <QLabel>

#include "ClickLabel.h"


ClickLabel::ClickLabel ( QWidget * parent, Qt::WindowFlags f )
  : QLabel( parent, f )
{}


ClickLabel::ClickLabel ( const QString & text, QWidget * parent , Qt::WindowFlags f )
    : QLabel( text, parent, f )
{}


void ClickLabel::mousePressEvent ( QMouseEvent * event)
{
    if ( event->button() == Qt::LeftButton )
    {
        emit clicked();
    }
}


#if 0

#include <QApplication>
#include <QMainWindow>
#include "ui_mainWindow.h"

int main ( int argc, char * argv[] )
{
    QApplication app ( argc, argv );
    QMainWindow qmw;
    Ui::MainWindow mainwin;
    mainwin.setupUi(&qmw);
    QObject::connect( mainwin.label, SIGNAL(clicked()), &app, SLOT(quit()) );
    qmw.show();
    return app.exec();
}
#endif
