#ifndef _MAINWINDOW_H_
#define _MAINWINOW_H_


#include <QMainWindow>
#include <vector>
#include "ui_MainWindow.h"

class Session;
class Hole;

class MainWindow : public QMainWindow, public Ui::MainWindow
{
    Q_OBJECT
        
public:
    MainWindow (Session * session, QMainWindow * parent = 0 );

    void init();
    void update();

private slots:
    void houseClicked ( int id );

private:
    Session * session_;
    std::vector<Hole *> houses_;
    std::vector<Hole *> storages_;
};


#endif
