#ifndef _CLICKLABEL_H_
#define _CLICKLABEL_H_

#include <QWidget>
#include <QLabel>

class ClickLabel : public QLabel
{
    Q_OBJECT

public:
    ClickLabel( QWidget * parent = 0, Qt::WindowFlags f = 0 );
    ClickLabel ( const QString & text, QWidget * parent = 0, Qt::WindowFlags f = 0 );

signals:
    void clicked();

protected:
    virtual void mousePressEvent (QMouseEvent * event);
};

#endif

    
