#ifndef _GUIWRAPPER_H_
#define _GUIWRAPPER_H_

class MainWindow;
class Session;

class GuiWrapper
{
public:
    GuiWrapper();
    ~GuiWrapper();
    void init( Session * session);
    void start();
    
private:
    MainWindow * mainWin_;
    Session * session_;
        
    // Disable copy construction and assignment
    GuiWrapper ( const GuiWrapper & );
    GuiWrapper & operator= ( const GuiWrapper & );
    
};

#endif
